%define module	Apache-SSI
%define version	2.17
%define release	4mdk

Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary:	%{module} implements Server Side Includes in Perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl perl-HTML-SimpleParse apache-mod_perl
BuildRequires:	apache-mod_perl perl-devel perl-HTML-SimpleParse
BuildArch:	noarch

%description
%{module} implements Server Side Includes in Perl.

Apache::SSI implements the functionality of mod_include for handling
server-parsed html documents. It runs under Apache's mod_perl.

In my mind, there are two main reasons you might want to use this module:
you can sub-class it to implement your own custom SSI directives, and/or you
can parse the output of other mod_perl handlers, or send the SSI output
through another handler (use Apache::Filter to do this).

This module supports the same directives as mod_include:

%prep
%setup -q -n %{module}-%{version}

%build
APACHE=%{_sbindir}/httpd-perl CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL \
 INSTALLDIRS=vendor <<EOF


EOF
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Apache

%changelog
* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.17-4mdk
- rebuild
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue Jan 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.17-3mdk
- better summary & description

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.17-2mdk
- rebuild with new perl 5.8.0.
- install in vendor_perl.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.17-1mdk
- 2.17
- Update perl version in Requires.
- Add a make test.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 2.16-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 2.16-1mdk
- 2.16.
- removed filelist, now use globing directly and macros.
- updated license.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.13-5mdk
- Rebuild this against perl 5.6.1.
- Remove Vendor and distribution tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.13-4mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.13-3mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.13-2mdk
- added BuildPrereq

* Tue Jul 18 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.13-1mdk
- Macroize package

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 2.11-1mdk
-updated to 2.11

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.09

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed dependancies

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.07

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
